fw_cdev_get_cycle_timer2 Struct Reference

`#include <dc1394/juju/firewire-cdev.h>`

## Detailed Description

struct fw_cdev_get_cycle_timer2 - read cycle timer register : system time, seconds : system time, sub-seconds part in nanoseconds : input parameter, clock from which to get the system time : Cycle Time register contents

The FW_CDEV_IOC_GET_CYCLE_TIMER2 works like FW_CDEV_IOC_GET_CYCLE_TIMER but lets you choose a clock like with POSIX' clock_gettime function. Supported values are POSIX' CLOCK_REALTIME and CLOCK_MONOTONIC and Linux' CLOCK_MONOTONIC_RAW.

The documentation for this struct was generated from the following file:

- dc1394/juju/firewire-cdev.h